Skip to main content
POST
Configure an LLM agent

Authorizations

Authorization
string
header
required

Account API key: key id as the username, secret as the password.

Path Parameters

agent_id_or_name
string
required

Body

application/json
system_prompt
string
required
description
string
required
tools
ConfigureLlmIntegrationToolsInput · object[]
required
guild_tools
string[]
mode
enum<string>
default:one-shot
Available options:
one-shot,
multi-turn
summary
string | null
version_number
string
default:1.0.0

Response

The newly committed agent version

id
string<uuid>
created_at
string<date-time>
updated_at
string<date-time>
agent_id
string<uuid>
author_id
string<uuid>
validation_status
enum<string>
Available options:
SKIPPED,
PENDING,
RUNNING,
PASSED,
FAILED
dependencies
object | null

npm package.json dependencies

description
string | null

Description for the agent extracted from the agent code.

env_references
any[] | null

Workspace variable keys referenced as {{env.KEY}} in the version's prompt, extracted at build time

input_schema
object | null

JSON Schema from Zod input

output_schema
object | null

JSON Schema from Zod output

published_at
string<date-time> | null
publishing_started_at
string<date-time> | null
raw_tools
any[] | null

Structured per-tool metadata. Each entry is a tool object discriminated by toolType (integration, legacy, agent, builtin).

runtime_environment_id
string<uuid> | null
sha
string | null

Git commit SHA (40-character hexadecimal). For agents: set on version creation. For integrations: set after code is stored in GitHub.

Maximum string length: 40
summary
string | null

Commit message summary. For agents: set on version creation. For integrations: set after code is stored in GitHub.

Maximum string length: 500
tools
any[] | null
version_number
string | null

The semantic version number (i.e., MAJOR.MINOR.PATCH) of this version

Maximum string length: 100
agent
any
author
any
status
any
version_type
any